# Validate a Workflow Delegation Checks delegation for conflicts. Always use this operation before /workflowdelegationmanager.add to prevent invalid date conflicts in the new delegation. Use the same payload as for the /workflowdelegationmanager.add operation. Endpoint: POST /workflowdelegationmanager.checkdates Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.sourceUser` (string) The name of the user whose workflow you want to delegate. - `data.targetUser` (string) The name of the user you want to delegate a workflow to. - `data.startDate` (string, required) The date from which the workflow delegation should come into effect. - `data.endDate` (string, required) The date until which the workflow delegation should be effective. - `data.note` (string) A comment for the workflow delegation. - `data.sourceUserId` (string, required) The ID of the user whose workflow you want to delegate. - `data.targetUserId` (string, required) The ID of the user you want to delegate a workflow to. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (any) - `response.status` (number)